package com.ruoyi.dxp.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 应用对象 dxp_application
 * 
 * @author jy
 * @date 2022-12-06
 */
public class Application extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户id */
    private Long userId;

    /** appid */
    private String appId;

    /** appsecret */
    private String appSecret;

    /** 应用名称 */
    @Excel(name = "应用名称")
    private String appName;

    /** 联系人 */
    @Excel(name = "联系人")
    private String linkMan;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String linkPhone;

    /** 封面图片 */
    private String coverImg;

    /** 审核状态：0待审核，1审核通过，2驳回 */
    @Excel(name = "审核状态：0待审核，1审核通过，2驳回")
    private String status;

    /** 审核说明 */
    private String statusRemark;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    /** 审核人 */
    @Excel(name = "审核人")
    private String auditBy;

    /** 审核时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "审核时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date auditTime;

    /** 审核意见 */
    private String auditRemark;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }
    public void setAppId(String appId) 
    {
        this.appId = appId;
    }

    public String getAppId() 
    {
        return appId;
    }
    public void setAppSecret(String appSecret) 
    {
        this.appSecret = appSecret;
    }

    public String getAppSecret() 
    {
        return appSecret;
    }
    public void setAppName(String appName) 
    {
        this.appName = appName;
    }

    public String getAppName() 
    {
        return appName;
    }
    public void setLinkMan(String linkMan) 
    {
        this.linkMan = linkMan;
    }

    public String getLinkMan() 
    {
        return linkMan;
    }
    public void setLinkPhone(String linkPhone) 
    {
        this.linkPhone = linkPhone;
    }

    public String getLinkPhone() 
    {
        return linkPhone;
    }
    public void setCoverImg(String coverImg) 
    {
        this.coverImg = coverImg;
    }

    public String getCoverImg() 
    {
        return coverImg;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setStatusRemark(String statusRemark) 
    {
        this.statusRemark = statusRemark;
    }

    public String getStatusRemark() 
    {
        return statusRemark;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }
    public void setAuditBy(String auditBy) 
    {
        this.auditBy = auditBy;
    }

    public String getAuditBy() 
    {
        return auditBy;
    }
    public void setAuditTime(Date auditTime) 
    {
        this.auditTime = auditTime;
    }

    public Date getAuditTime() 
    {
        return auditTime;
    }
    public void setAuditRemark(String auditRemark) 
    {
        this.auditRemark = auditRemark;
    }

    public String getAuditRemark() 
    {
        return auditRemark;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("appId", getAppId())
            .append("appSecret", getAppSecret())
            .append("appName", getAppName())
            .append("linkMan", getLinkMan())
            .append("linkPhone", getLinkPhone())
            .append("coverImg", getCoverImg())
            .append("status", getStatus())
            .append("statusRemark", getStatusRemark())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("delFlag", getDelFlag())
            .append("auditBy", getAuditBy())
            .append("auditTime", getAuditTime())
            .append("auditRemark", getAuditRemark())
            .toString();
    }
}
